当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : !***libavformat52明明安装了,为什么装其他包的时候说为安装libavformat52?***
帖子发表于 : 2010-05-15 20:43 

注册: 2010-05-06 15:15
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我用新力得查看libavformat52显示属性,它的状态是已经安装在系统里,可为什么我安装另外的一个包是提示错误:
dpkg: dependency problems prevent configuration of libcv4:
libcv4 depends on libavformat52 (>= 4:0.5+svn20090706-3) | libavformat-extra-52 (>= 4:0.5+svn20090706-3); however:
Package libavformat52 is not installed.
Package libavformat-extra-52 is not installed.


这让我很是不解....不知有人能否赐教? :em01


页首
 用户资料  
 
2 楼 
 文章标题 : Re: !***libavformat52明明安装了,为什么装其他包的时候说为安装libavformat52?***
帖子发表于 : 2010-05-15 22:09 

注册: 2009-10-03 23:31
帖子: 3030
送出感谢: 1
接收感谢: 14
检查一下你装的libavformat52的版本号。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: !***libavformat52明明安装了,为什么装其他包的时候说为安装libavformat52?***
帖子发表于 : 2010-05-15 22:23 

注册: 2010-05-06 15:15
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
不好意思,我刚看了下发现描述错了,现在系统上安装上的是libavformats52,libavformat52还未成功安装,但是在我安装的时候出现以下错误:
E: /var/cache/apt/archives/libavformat52_4%3a0.5.1-1ubuntu1_i386.deb: trying to overwrite '/usr/lib/libavformat.so.52.31.0', which is also in package libavformats52 0
不知道你能帮忙解答下吗?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: !***libavformat52明明安装了,为什么装其他包的时候说为安装libavformat52?***
帖子发表于 : 2010-05-15 23:02 

注册: 2006-11-08 16:33
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
卸了libavformats52再装行么?
不行的话,试试把libavformat52_4%3a0.5.1-1ubuntu1_i386.deb解压了复制到该去的地方,然后改一下/var/lib/dpkg/status?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译